local modname = minetest.get_current_modname()

minetest.register_entity(modname .. ":spider", {
	initial_properties = {
		visual = "mesh",
		mesh = "eg_spiders_spider.b3d",
		physical = true,
		collide_with_objects = true,
		collisionbox = {-0.33, -0.3, -0.33, 0.33, 0.125, 0.33},
	},
	on_activate = function(self, staticdata, dtime_s)
		mobkit.actfunc(self, staticdata, dtime_s)
		local props = self.object:get_properties()
		props.textures = {
			"eg_spiders_torso.png",
			"eg_spiders_eyes.png",
			"eg_spiders_fangs.png",
			"eg_spiders_legs.png"
		}
		self.object:set_properties(props)
	end,
	on_step = mobkit.stepfunc,
	logic = function(self)
	end,

})
